KD Chart 2: KDChartDataValueAttributes.cpp File Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChartDataValueAttributes.cpp File Reference

`#include <QVariant>`
`#include <QDebug>`
`#include "KDChartDataValueAttributes.h"`
`#include "KDChartRelativePosition.h"`
`#include "KDChartPosition.h"`
`#include <KDChartTextAttributes.h>`
`#include <KDChartFrameAttributes.h>`
`#include <KDChartBackgroundAttributes.h>`
`#include <KDChartMarkerAttributes.h>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartDataValueAttributes.cpp:

Go to the source code of this file.

## Defines
#define | d d_func()
#define | KDCHART_DATA_VALUE_AUTO_DIGITS 4
## Functions
QDebug | operator<< (QDebug dbg, const KDChart::DataValueAttributes &val)

## Define Documentation

#define d d_func()

| Definition at line 43 of file KDChartDataValueAttributes.cpp.

#define KDCHART_DATA_VALUE_AUTO_DIGITS 4

| Definition at line 40 of file KDChartDataValueAttributes.cpp.

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::DataValueAttributes & | val
| ) |

| Definition at line 324 of file KDChartDataValueAttributes.cpp.
    00325 {
    00326     dbg << "RelativePosition DataValueAttributes("
    00327         << "visible="<<val.isVisible()
    00328         << "textattributes="<<val.textAttributes()
    00329         << "frameattributes="<<val.frameAttributes()
    00330         << "backgroundattributes="<<val.backgroundAttributes()
    00331         << "decimaldigits="<<val.decimalDigits()
    00332         << "poweroftendivisor="<<val.powerOfTenDivisor()
    00333         << "showinfinite="<<val.showInfinite()
    00334         << "negativerelativeposition="<<val.negativePosition()
    00335         << "positiverelativeposition="<<val.positivePosition()
    00336         << "showRepetitiveDataLabels="<<val.showRepetitiveDataLabels()
    00337         <<")";
    00338     return dbg;
    00339 }